CREATE TABLE fnd_ntf_event_recipient (
    EVENT_ID             NUMBER(18, 0) ,
    USER_NAME            VARCHAR2(1024),
    RECIPIENT_ID         NUMBER(18, 0) ,
    RECIPIENT_TYPE       VARCHAR2(1024)    NOT NULL,
    PROCESSING_STAGE     VARCHAR2(256)     NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    EVENT_ID             NUMBER(18, 0) ,
    USER_NAME            VARCHAR2(1024),
    RECIPIENT_ID         NUMBER(18, 0) ,
    RECIPIENT_TYPE       VARCHAR2(1024)    NOT NULL,
    PROCESSING_STAGE     VARCHAR2(256)     NOT NULL,
    CREATED_BY           VARCHAR2(256)     NOT NULL,
    CREATION_DATE        TIMESTAMP(6)      NOT NULL,
    LAST_UPDATED_BY      VARCHAR2(256)     NOT NULL,
    LAST_UPDATE_DATE     TIMESTAMP(6)      NOT NULL,
    LAST_UPDATE_LOGIN    VARCHAR2(128) ,
    CONSTRAINT pk_fnd_ntf_event_recipient PRIMARY KEY (EVENT_ID, USER_NAME, EVENT_ID, USER_NAME)
);
